Package org.jboss.logging

# Class Messages

java.lang.Object
org.jboss.logging.Messages

public final class Messages extends Object
A factory class to produce message bundle implementations.

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`static <T> T`
`getBundle(Class<T> type)`
Get a message bundle of the given type.
`static <T> T`
`getBundle(Class<T> type, Locale locale)`
Get a message bundle of the given type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getBundle

public static <T> T getBundle(Class<T> type)
Get a message bundle of the given type. Equivalent to ``getBundle`(type, Locale.getDefault())`.

Type Parameters:
  `T` - the bundle type
Parameters:
  `type` - the bundle type class
Returns:
  the bundle

### getBundle

public static <T> T getBundle(Class<T> type, Locale locale)
Get a message bundle of the given type.

Type Parameters:
  `T` - the bundle type
Parameters:
  `type` - the bundle type class
  `locale` - the message locale to use
Returns:
  the bundle